Get Pages
/unified/knowledge-base/pages/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The collection to fetch the pages for
3 supported1 required
Unique identifier of the collection
The type of the page
articlesblog-postscommunity-postsdatabaselanding-pagespagesite-pages
14 supported2 required
landing-pagessite-pagesblog-postsarticlescommunity-postsdatabasepageThe space the page belongs to
6 supported2 required
The unique identifier for the space
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for the page
17 supported
The collection the page belongs to
2 supported
The unique identifier for the collection
The date and time the page was created
17 supported
The user who created the page
16 supported
The emails of the user
3 properties
The email of the user
Whether the email is the primary email of the user
The type of the email
workhomeother
The unique identifier for the user
The name of the user
The description of the page
9 supported
The user who last edited the page
10 supported
The emails of the user
3 properties
The email of the user
Whether the email is the primary email of the user
The type of the email
workhomeother
The unique identifier for the user
The name of the user
The type of the page
landing-pagessite-pagesblog-postspagedatabase
14 supported
The parent of the page
5 supported
The unique identifier for the parent page
The type of the parent
The date and time the page was published
5 supported
Raw data returned from the remote API call.
The space the page belongs to
6 supported
The unique identifier for the space
The status of the page
draftpublishedarchiveddeleted
14 supported
The tags associated with the page
6 supported
The title of the page
17 supported
The date and time the page was last updated
15 supported
The urls of the page
16 supported
The type of the url
vieweditpublic_view
The url of the page
The visibility of the page
privatepublic
2 supported
curl -X GET 'https://api.truto.one/unified/knowledge-base/pages/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/knowledge-base/pages/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/knowledge-base/pages/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'knowledge-base',
'pages',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"knowledge-base",
"pages",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())